Package: mongo-cxx-driver-legacy / 1.1.3-3

Metadata

Package Version Patches format
mongo-cxx-driver-legacy 1.1.3-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
1001_set_soname.patch | (download)

src/SConscript.client | 5 3 + 2 - 0 !
1 file changed, 3 insertions(+), 2 deletions(-)

 fix some issues
 Fix the following issues:
 - adding missing soname to installed shared libraries
1002_openssl_1.1_compat.patch | (download)

src/mongo/crypto/crypto_openssl.cpp | 17 11 + 6 - 0 !
src/mongo/util/net/ssl_manager.cpp | 2 1 + 1 - 0 !
2 files changed, 12 insertions(+), 7 deletions(-)

 fix build with openssl 1.1
 Largely based on https://jira.mongodb.org/browse/SERVER-26781
1003_C++11_compat.patch | (download)

SConstruct | 2 1 + 1 - 0 !
src/mongo/client/dbclient.cpp | 8 4 + 4 - 0 !
2 files changed, 5 insertions(+), 5 deletions(-)

 use c++11's std::regex instead of boost::regex
1004_fix_ftbfs_with_gcc6.1.patch | (download)

src/mongo/base/parse_number_test.cpp | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix ftbfs (test failure) with gcc 6.1
 Hex float constants are part of C++17 (and only GNU extensions in C++11)
 and GCC 6.1 errors out when src/mongo/base/parse_number_test.cpp is
 compiled using -std=c++11.
2001_use_system_libraries_if_possible.patch | (download)

SConstruct | 5 4 + 1 - 0 !
src/mongo/SConscript | 2 1 + 1 - 0 !
src/mongo/orchestration/resource.h | 2 1 + 1 - 0 !
src/third_party/gtest-1.7.0/SConscript | 8 7 + 1 - 0 !
4 files changed, 13 insertions(+), 4 deletions(-)

 use system libraries if possible
 This patch tries to allow the usage of system libraries whenever possible.
 Unfortunately it is not easy to perform relevant checks in a proper way,
 so, while functional, this patch is not suitable to be sent upstream as
 it is likely to create troubles on non-Debian systems.
2002_add latomic for mips32.patch | (download)

SConstruct | 15 9 + 6 - 0 !
1 file changed, 9 insertions(+), 6 deletions(-)

---
boost 1.67 compat.patch | (download)

src/mongo/util/net/message_port.h | 4 4 + 0 - 0 !
1 file changed, 4 insertions(+)

 fix build against boost 1.67
 In Boost 1.67, boost::next and boost::prior were moved from utility.hpp to
 next_prior.hpp. Fix this by including next_prior.hpp for Boost 1.67 and
 onwards.